<div id=container>
    <h4>Base stats:</h4>

    <p>Name: {{pokemon.name.charAt(0).toUpperCase() + pokemon.name.slice(1)}}</p>
    <img src="{{pokemon.sprites.front_default}}" alt="{{pokemon.name}}">
    <img src="{{pokemon.sprites.back_default}}" alt="{{pokemon.name}}">
    <p>Types:</p>
    <div *ngFor="let element of pokemon.types">
        {{element.type.name.charAt(0).toUpperCase() + element.type.name.slice(1)}}
    </div>
    <p>Species: {{pokemon.species.name.charAt(0).toUpperCase() + pokemon.name.slice(1)}}</p>
    <p>Base stats:</p>
    <div *ngFor="let element of pokemon.stats">
        {{element.base_stat}}, {{element.stat.name.charAt(0).toUpperCase() + element.stat.name.slice(1).replace("-", " ")}}
    </div>
</div>
